﻿using System;

namespace _02_UebgTimeSpan
{

    class Time
    {
        int time;
        public Time(int Std, int Mins) { time = 60 * Std + Mins; }
    }
    class TimeSpan
    {
        public int TotalMins { get; private set; }
        public TimeSpan(int Std, int Mins) { TotalMins = 60 * Std + Mins; }
    }
    class Program
    {
        static void Main(string[] args)
        {
            Time t0 = new Time(9, 45);
            Time t1 = new Time("9:45");         // Time(string)
            Time t2 = (t1 + "1:30") + 15;       // Time operator+(Time t1, TimeSpan ts)
            Time t3 = "11:30";                  // implicit operator Time(string)
            TimeSpan ts1 = t2 - t1;             // TimeSpan.operator-(Time t1, Time t2)
                                                // oder Time.operator-(Time t1, Time t2)
            Console.WriteLine(t2);              // Time.ToString
            Console.WriteLine(ts1.TotalMins);   // Get-Prop. der Klasse TimeSpan
            Console.WriteLine(ts1);             // TimeSpan.ToString
            if (t2)                             // operator true(Time)
                Console.WriteLine("Guten Morgen");
            else
                Console.WriteLine("Guten Tag");
            if (t2 == t3)                       // Time.operator ==(Time t1, Time t2)
                Console.WriteLine("Die Uhrzeiten sind gleich!");
            else
                Console.WriteLine("Die Uhrzeiten stimmen nicht überein");
            // Ausgaben:
            //  11:30
            // 105
            // 1:45
            // Guten Morgen
            // Die Uhrzeiten sind gleich!
        }
    }
}
