﻿using System;

namespace _23_GenerischeDelegates
{
    class Person : IComparable<Person>{ }
    class Program
    {
        delegate T FuncDelegate<T>(T parameter);

        static T Min<T>(T a, T b) where T : IComparable<T>
        {
            if (a.CompareTo(b) < 0)
                return a;
            else
                return b;
        }
        static void Main(string[] args)
        {
            Person p = Min<Person>(new Person(), new Person());
            int x1 = Min(2, 3);
            double x2 = Min(2, 3.0);
            string x3 = Min(2.ToString(), "3");
        }
    }
}
