﻿using System;
using System.Collections.Generic;
using System.Text;

namespace _16_IntroVererbung
{
    //abstract class IBesteuerbareObjekte
    //{
    //    public abstract double Steuern();
    //}
    interface IBesteuerbareObjekte
    {
        double Steuern();
    }

    abstract class Kfz:IBesteuerbareObjekte
    {
        public string Kennzeichen { get; private set; }
            // public ~ Methoden aus allen Klassen können zugreifen
            // private ~ Methoden nur aus dieser Klasse können zugreifen
            // protected ~ Methoden aus dieser und aus abgeleiteten Klassen
        
        public Kfz(string Kennzeichen)
        {
            this.Kennzeichen = Kennzeichen;
        }
        public abstract double Steuern();     // { return -999; }
            // virtual ~ Diese Methode KANN in abgeleiteten Klassen
            //      per override überschrieben werden
            // abstract ~ Diese Methode MUSS in abgeleiteten Klassen
            //      per override überschrieben werden
            //  Von abstrakten Klassen können keine Objekte angelegt werden,
            //  wohl aber von den dann vervollständigten abgeleiteten Klassen

    }
}
