﻿using System;

namespace _18_IComparable
{
    class Person : IComparable<Person>
    {
        public string Name { get; set; }
        public string Vorname { get; set; }
        public int CompareTo(Person p2)
        //    => this.Vorname.CompareTo(p2.Vorname);
        {
            int v = this.Name.CompareTo(p2.Name);
            if (v != 0) return v;
            return this.Vorname.CompareTo(p2.Vorname);
        }
    }
    class Program
    {
        static void Main(string[] args)
        {
            Person[] pers = new Person[2];
            pers[0] = new Person() { Name = "Meier", Vorname = "Berta" };
            pers[1] = new Person() { Name = "Meier", Vorname = "Anton" };
            int vergl = "Anton".CompareTo("Berta");
            //          "Anton"-"Berta"
            Array.Sort(pers);
            foreach (var item in pers)
            {
                Console.WriteLine($"{item.Vorname} {item.Name}");
            }
        }
    }
}
