﻿using System;

namespace _23_DataDriven
{
    class MyInt
    {
        int x;
        public Action<int> seiteneffekt;   // Action<T> ~ delegate void Action(T x)

        public int X { 
            get => x;
            set {
                x = value;
                seiteneffekt?.Invoke(x);
            }
        }
    }
    class Program
    {
        static void Balkenskala(int k)
        {
            for (int i = 0; i < k; i++)
            {
                Console.Write("#");
            }
            Console.WriteLine();
        }
        static void Main(string[] args)
        {
            MyInt mi = new MyInt();
            mi.seiteneffekt += Balkenskala;
            mi.seiteneffekt += Console.WriteLine;
            mi.X = 10;
            mi.X = mi.X+1;
        }
    }
}
