﻿using System;

namespace _24_DelegateVerkettung
{
    public delegate double MyFunction(double x);
    class MyClass
    {
        public static double MalEins(double x) { Console.WriteLine($"MalEins({x}): "); return x * 1; }
        public static double MalZwei(double x) { Console.WriteLine($"MalZwei({x}): "); return x * 2; }
        public static double MalDrei(double x) { Console.WriteLine($"MalDrei({x}): "); return x * 3; }
    }
    class Program
    {
        static void Main(string[] args)
        {
            MyClass m = new MyClass();
            MyFunction f = new MyFunction(MyClass.MalEins);
            f += MyClass.MalZwei;
            f += MyClass.MalDrei;
            Console.WriteLine(f(3));
        }
    }
}
